
<div class="alert alert-info mt-5" *ngIf="stocks?.length == 0">
    No hay juegos
</div>


<div class="container card col-sm-12 pb-5 pt-5 mt-5 mb-5 bg-light" *ngIf="stocks?.length >0">

    <div class="card-header">
        <h2 class="">Listado de Stocks</h2>
        
    </div>
    <div class="card-body">
        <table class="card-text table table-bordered table-striped ">
            <thead  class="text-center">
                <tr>
                    <th>Referncia</th>
                    <th>Estado</th>
                    <th>Cliente</th>
                    <th>Juego</th>
                    <th>Tienda</th>
                    <th>Eliminar</th> 
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let stock of stocks">
                    <td>{{stock.referencia}}</td>
                    <td>{{stock.estado}}</td>
                    <td>{{stock.cliente.nombre}}</td>
                    <td>{{stock.juegos.titulo}}</td>
                    <td>{{stock.tiendas.nombre}}</td>
                    <td class="text-center">
                        <button class="btn btn-danger" type="button" name="button" (click) = "detete(stock.referencia)"><svg xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0V0z" fill="none"/><path d="M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zm2.46-7.12l1.41-1.41L12 12.59l2.12-2.12 1.41 1.41L13.41 14l2.12 2.12-1.41 1.41L12 15.41l-2.12 2.12-1.41-1.41L10.59 14l-2.13-2.12zM15.5 4l-1-1h-5l-1 1H5v2h14V4z"/><path d="M0 0h24v24H0z" fill="none"/></svg></button>
                    </td>
                </tr>
            </tbody>
        </table>
        <div class="col-sm-12">
            <mat-paginator [length]="stocks.length" [pageSize]="page_size" [pageSizeOptions]="pageSizeOptions" (page)="handlePage($event)">
            </mat-paginator>
        </div>
    </div>

</div>